summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVirgil Dupras <vdupras@gentoo.org>2019-05-18 08:26:45 -0400
committerVirgil Dupras <vdupras@gentoo.org>2019-05-18 08:26:45 -0400
commit1aa261e9165e9f4fa24b52716f3c652848570216 (patch)
tree7bb3f841f0d3aa710e66513e8fe746630c8b37d1 /dev-libs/libsass
parentmedia-libs/gegl: remove unused patch (diff)
downloadgentoo-1aa261e9165e9f4fa24b52716f3c652848570216.tar.gz
gentoo-1aa261e9165e9f4fa24b52716f3c652848570216.tar.bz2
gentoo-1aa261e9165e9f4fa24b52716f3c652848570216.zip
dev-libs/libsass: bump to 3.6.0
Signed-off-by: Virgil Dupras <vdupras@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'dev-libs/libsass')
-rw-r--r--dev-libs/libsass/Manifest1
-rw-r--r--dev-libs/libsass/libsass-3.6.0.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/dev-libs/libsass/Manifest b/dev-libs/libsass/Manifest
index 96abbd0bb85..225ddbddd05 100644
--- a/dev-libs/libsass/Manifest
+++ b/dev-libs/libsass/Manifest
@@ -1,3 +1,4 @@
DIST libsass-3.4.7.tar.gz 319824 BLAKE2B ca3e7091816474e318fb1eaefa01e5e361a66715b6267500a93f80dfc8b34bdc595e6ddc4b1872e4399093468d4ac06a9760685d8941d92f18e1834df7715b04 SHA512 5d743d4345b11e9e5315aa858637d3388d2b464150a46bc8a712e1e5d1b3df9c1e6b4dcac26f91827f1c38db24a5a084d04c0962a428f2994f42ad66a25b35a8
DIST libsass-3.5.2.tar.gz 326773 BLAKE2B 65d2dd82872ef76a45597104cc2a531786c0cd33f8e61172b0c973c8262fbddced3b988e143f27b3b7cac2f9d17c481cf58201bfb432aa2656763319ac072b51 SHA512 a06f0047358eeacf5fff9ab44e833ac285e4a971829610b56ae7ed00128b4bee9fe33630c299e61337cf975caf0bc3067242c3af4db1f8aaf3898d3e63920f67
DIST libsass-3.5.5.tar.gz 327298 BLAKE2B 4127722343394bca4ed054987eed6113788e10dc4d03a869778c10b56135406c1fcd72dc101bfe405c96267b628735e8ee74d3812ab392f097dc941b78bef882 SHA512 dcb73a5080c00023b60a19ea037ba5af481253a7b47492bd7114bf45ab78ed931c7b207fa8f12ed200a39760553d72ae92dbe4eb80b826b59a6201fb34008fe5
+DIST libsass-3.6.0.tar.gz 332747 BLAKE2B be4ad469aa55f89ce54e6cf1cc5cf0a72f4727610bf2d5aeca7321fde4e4cbc009f59bee46c1e5e5b88825d5bd2f3b4fa427ab3cd535584956f7541c16339f1d SHA512 9665e50ee964ca3cc323f26c2b8322677102d26a7a102558ffbc5bef7a4c4ea44ca5096a967e4044dac1404bfa343a37d846f22d1e1adc27592023d5d4ac40c8
diff --git a/dev-libs/libsass/libsass-3.6.0.ebuild b/dev-libs/libsass/libsass-3.6.0.ebuild
new file mode 100644
index 00000000000..7bb47a91093
--- /dev/null
+++ b/dev-libs/libsass/libsass-3.6.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools multilib-minimal
+
+if [[ ${PV} = *9999 ]]; then
+ EGIT_REPO_URI="https://github.com/sass/libsass.git"
+ inherit git-r3
+ KEYWORDS=
+else
+ SRC_URI="https://github.com/sass/libsass/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux"
+fi
+
+DESCRIPTION="A C/C++ implementation of a Sass CSS compiler"
+HOMEPAGE="https://github.com/sass/libsass"
+LICENSE="MIT"
+SLOT="0/1" # libsass soname
+IUSE="static-libs"
+
+RDEPEND=""
+DEPEND="${RDEPEND}"
+
+DOCS=( Readme.md SECURITY.md )
+
+src_prepare() {
+ default
+
+ if [[ ${PV} != *9999 ]]; then
+ [[ -f VERSION ]] || echo "${PV}" > VERSION
+ fi
+ eautoreconf
+
+ # only sane way to deal with various version-related scripts, env variables etc.
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ econf \
+ $(use_enable static-libs static) \
+ --enable-shared
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install
+ find "${D}" -name '*.la' -delete || die
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ dodoc -r "${S}/docs"
+}